Subject: [390] adding a command to conversions

From: [email-masked] (Robert Lentz)
Date: Sun, 21 Aug 1994 20:05:26 -0500 (CDT)

Howdy,
	I have spent all afternoon trying to get this to work, including
finally upgrading from 2.1(c) to 2.4 (SunOS 4.1.x). I am trying to add a
conversion command (if you must know (it is ugly) to convert CAP aufs files
to Apple-Single on the fly). (I hope this is not a FAQ...)

>From ftpaccess:

	#compress        yes             local remote
	#tar             yes             local remote
	cvt2apple       yes             local remote
	test            yes             local remote

from ~ftp/bin:

	> ldd
	cvt2apple: statically linked
	test: statically linked

from ftpconversions:

	 :.sig: : :/bin/cvt2apple %s -:T_REG:O_COMPRESS:APPLE-SINGLE
	 :.bog: : :/bin/test %s -:T_REG:O_COMPRESS:TEST

(does not work with T_BIN either...)

what test actually does:

	> ../bin/test arg1 arg2                  
	fin is arg1 and fout is arg2

what orig test.bog contains:

	> more ../pub/lentz/mac/swtest/test.bog 
	mumbo jumbo...

what happens if I try to get test.bog:

	get test.bog
	200 PORT command successful.
	150 Opening BINARY mode data connection for test.bog (15 bytes).
	226 Transfer complete.
	local: test.bog remote: test.bog
	15 bytes received in 0.049 seconds (0.3 Kbytes/s)
	ftp>

what downloaded test.bog then contains:

	> more test.bog 
	mumbo jumbo...

So, what am I missing?

Thanks,
-Robert
-- 
[email-masked]            http://www.astro.nwu.edu/lentz/plan.html
	"You have to push as hard as the age that pushes against you."
					-Flannery O'Connor